#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1be5337d, "module_layout" },
	{ 0xc7739ef2, "can_change_mtu" },
	{ 0xdc3c46c1, "__asan_register_globals" },
	{ 0xe894f8f4, "__asan_unregister_globals" },
	{ 0x50427caf, "driver_unregister" },
	{ 0x8178282b, "__spi_register_driver" },
	{ 0xbaca28a8, "lockdep_init_map" },
	{ 0x12010c5a, "__init_work" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2072ee9b, "request_threaded_irq" },
	{ 0x523b908, "dev_fwnode" },
	{ 0xb7c22928, "open_candev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x74a2c0ce, "close_candev" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6606e1a0, "netif_device_detach" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6005146e, "unregister_candev" },
	{ 0x5f58534e, "netdev_info" },
	{ 0x24cd8696, "spi_get_device_id" },
	{ 0x6c579799, "free_candev" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x3a5199da, "regulator_disable" },
	{ 0x68e69d2b, "register_candev" },
	{ 0x509c4342, "devm_kmalloc" },
	{ 0x46cbc2ad, "__mutex_init" },
	{ 0x49db826b, "regulator_enable" },
	{ 0xf0ebbc0b, "devm_regulator_get_optional" },
	{ 0xae25a901, "spi_setup" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x8b3644a5, "alloc_candev_mqs" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbaef9512, "devm_clk_get_optional" },
	{ 0xef8714ee, "device_get_match_data" },
	{ 0x7bd4d4b6, "_dev_warn" },
	{ 0xb55ad780, "__asan_report_load2_noabort" },
	{ 0x4d5c00ee, "__asan_report_store2_noabort" },
	{ 0xd49aacaf, "kfree_skb" },
	{ 0x4b50cb71, "cpu_hwcap_keys" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x34c5e3f3, "can_get_echo_skb" },
	{ 0xda8a277a, "can_bus_off" },
	{ 0xb28d51f, "can_put_echo_skb" },
	{ 0x43e19c0e, "netif_tx_wake_queue" },
	{ 0xacd0fa0a, "netif_device_attach" },
	{ 0x626f11a8, "mutex_unlock" },
	{ 0xc99c49e3, "mutex_lock_nested" },
	{ 0x12a38747, "usleep_range" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1000e51, "schedule" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x60d4fa9b, "__dynamic_dev_dbg" },
	{ 0xa02efa3, "__asan_report_load_n_noabort" },
	{ 0xb784d0a7, "__asan_report_load1_noabort" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa3d0f007, "alloc_can_skb" },
	{ 0x1d28ebb6, "netdev_err" },
	{ 0x92302c1b, "netif_rx_ni" },
	{ 0xb209839a, "alloc_can_err_skb" },
	{ 0x1a8c1a6c, "queue_work_on" },
	{ 0x4398123c, "__asan_report_store8_noabort" },
	{ 0x48e00ea0, "__asan_report_store4_noabort" },
	{ 0xb0e6d9ce, "__asan_report_load4_noabort" },
	{ 0x886bd90e, "can_free_echo_skb" },
	{ 0x3db0fa3e, "consume_skb" },
	{ 0x4f8207c9, "__asan_report_store1_noabort" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xbb9ec552, "__asan_report_load8_noabort" },
	{ 0x4e3f0ac3, "_dev_err" },
	{ 0xda172f38, "spi_sync" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f678b07, "__stack_chk_guard" },
};

MODULE_INFO(depends, "can-dev");

MODULE_ALIAS("spi:mcp2510");
MODULE_ALIAS("spi:mcp2515");
MODULE_ALIAS("spi:mcp25625");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2510");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2510C*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2515");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2515C*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp25625");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp25625C*");

MODULE_INFO(srcversion, "E1984423394CD655CE63C8A");
